{
  "criteria": {
    "minecraft:cold": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:frog",
              "components": {
                "minecraft:frog/variant": "minecraft:cold"
              }
            }
          }
        ],
        "item": {
          "items": "minecraft:lead"
        }
      },
      "trigger": "minecraft:player_interacted_with_entity"
    },
    "minecraft:temperate": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:frog",
              "components": {
                "minecraft:frog/variant": "minecraft:temperate"
              }
            }
          }
        ],
        "item": {
          "items": "minecraft:lead"
        }
      },
      "trigger": "minecraft:player_interacted_with_entity"
    },
    "minecraft:warm": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:frog",
              "components": {
                "minecraft:frog/variant": "minecraft:warm"
              }
            }
          }
        ],
        "item": {
          "items": "minecraft:lead"
        }
      },
      "trigger": "minecraft:player_interacted_with_entity"
    }
  },
  "requirements": [
    [
      "minecraft:cold"
    ],
    [
      "minecraft:temperate"
    ],
    [
      "minecraft:warm"
    ]
  ],
  "rewards": {
    "function": "koncept.bingo:bingo/dynamic_advancement/leash_all_frog_variants"
  },
  "sends_telemetry_event": true
}